Package ghidra.trace.database.program

# Class DBTraceProgramViewSymbolTable.PrimarySymbolIterator

java.lang.Object
generic.util.AbstractPeekableIterator<Symbol>
ghidra.trace.database.program.DBTraceProgramViewSymbolTable.PrimarySymbolIterator

All Implemented Interfaces:
  `PeekableIterator<Symbol>`, `SymbolIterator`, `Iterable<Symbol>`, `Iterator<Symbol>`

Enclosing class:
  `DBTraceProgramViewSymbolTable`

protected static class DBTraceProgramViewSymbolTable.PrimarySymbolIterator extends AbstractPeekableIterator<Symbol> implements SymbolIterator

- ## Field Summary

  ### Fields inherited from class generic.util.AbstractPeekableIterator

  `next, soughtNext`

  ### Fields inherited from interface ghidra.program.model.symbol.SymbolIterator

  `EMPTY_ITERATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrimarySymbolIterator(Iterator<Symbol> it)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<Symbol>`
  `iterator()`
  `protected Symbol`
  `seekNext()`
  Find the next element in this iterator, because the client called either `AbstractPeekableIterator.next` or `AbstractPeekableIterator.peek()`.

  ### Methods inherited from class generic.util.AbstractPeekableIterator

  `hasNext, next, peek`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, remove`

  ### Methods inherited from interface ghidra.program.model.symbol.SymbolIterator

  `hasNext, next`

- ## Constructor Details

  - ### PrimarySymbolIterator

    public PrimarySymbolIterator(Iterator<Symbol> it)

- ## Method Details

  - ### iterator

    public Iterator<Symbol> iterator()
    Specified by:
      `iterator` in interface `Iterable<Symbol>`

  - ### seekNext

    protected Symbol seekNext()
    Description copied from class: `AbstractPeekableIterator`
    Find the next element in this iterator, because the client called either `AbstractPeekableIterator.next` or `AbstractPeekableIterator.peek()`.
    Specified by:
      `seekNext` in class `AbstractPeekableIterator<Symbol>`
    Returns:
      the next element